## org.eclipse.datatools.enablement.ase.catalog
Class SybaseASECatalogProcedure

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.routines.impl.RoutineImpl
                                      org.eclipse.datatools.modelbase.sql.routines.impl.ProcedureImpl
                                          org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEProcedureImpl
                                              org.eclipse.datatools.enablement.ase.catalog.SybaseASECatalogProcedure

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ICatalogObject, SybaseASEProcedure, SybaseAuthorizedObject, SybaseRoutine, Procedure, Routine, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybaseASECatalogProcedure

extends SybaseASEProcedureImpl
implements ICatalogObject, org.eclipse.core.runtime.IAdaptable

Nested Class Summary
`class` `SybaseASECatalogProcedure.SybaseASEParameterLoader`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseASECatalogProcedure()`

Method Summary
`boolean` `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`static java.lang.String` `getASEProcedureName(SybaseASEProcedure proc)`
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`org.eclipse.emf.common.util.EList` `getParameters()` Returns the value of the 'Parameters' containment reference list.
`org.eclipse.emf.common.util.EList` `getPrivileges()` Returns the value of the 'Privileges' reference list.
`Source` `getSource()` Returns the value of the 'Source' containment reference.
`TransactionModeType` `getTransactionMode()`
`boolean` `isSystemProcedure()`
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEProcedureImpl
`eGet, eIsSet, eSet, eUnset, getGroupNumber, isSystem, isWithRecompile, parseParameterDefaultValues, setGroupNumber, setSystemProcedure, setTransactionMode, setWithRecompile, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.routines.impl.ProcedureImpl
`eInverseRemove, getMaxResultSets, getResultSet, isOldSavePoint, setMaxResultSets, setOldSavePoint`

Methods inherited from class org.eclipse.datatools.modelbase.sql.routines.impl.RoutineImpl

`basicGetSchema, basicSetSchema, basicSetSource, eInverseAdd, getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameterStyle, getSchema, getSecurity, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Procedure
`getMaxResultSets, getResultSet, isOldSavePoint, setMaxResultSets, setOldSavePoint`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Routine

`getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameterStyle, getSchema, getSecurity, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Routine

`getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameterStyle, getSchema, getSecurity, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SybaseASECatalogProcedure

    public SybaseASECatalogProcedure()

Method Detail

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### getSource

    public Source getSource()

  Description copied from interface: `Routine`
  Returns the value of the 'Source' containment reference.

  If the meaning of the 'Source' containment reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getSource` in interface `Routine`
  Overrides:
    `getSource` in class `org.eclipse.datatools.modelbase.sql.routines.impl.RoutineImpl`
  Returns:
    the value of the 'Source' containment reference.
  See Also:
    `Routine.setSource(Source)`, `SQLRoutinesPackage.getRoutine_Source()`

### isSystemProcedure

    public boolean isSystemProcedure()

  Description copied from class: `SybaseASEProcedureImpl`

  Specified by:
    `isSystemProcedure` in interface `SybaseASEProcedure`
  Overrides:
    `isSystemProcedure` in class `SybaseASEProcedureImpl`
  Returns:
    the value of the 'System Procedure' attribute.
  See Also:
    `SybaseASEProcedure.setSystemProcedure(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEProcedure_SystemProcedure()`

### getTransactionMode

    public TransactionModeType getTransactionMode()

  Description copied from class: `SybaseASEProcedureImpl`

  Specified by:
    `getTransactionMode` in interface `SybaseASEProcedure`
  Overrides:
    `getTransactionMode` in class `SybaseASEProcedureImpl`
  Returns:
    the value of the 'Transaction Mode' attribute.
  See Also:
    `TransactionModeType`, `SybaseASEProcedure.setTransactionMode(TransactionModeType)`, `SybaseasesqlmodelPackage.getSybaseASEProcedure_TransactionMode()`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### getParameters

    public org.eclipse.emf.common.util.EList getParameters()

  Description copied from interface: `Routine`
  Returns the value of the 'Parameters' containment reference list. The list contents are of type `Parameter`. It is bidirectional and its opposite is '`Routine`'.

  If the meaning of the 'Parameters' containment reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getParameters` in interface `Routine`
  Overrides:
    `getParameters` in class `org.eclipse.datatools.modelbase.sql.routines.impl.RoutineImpl`
  Returns:
    the value of the 'Parameters' containment reference list.
  See Also:
    `SQLRoutinesPackage.getRoutine_Parameters()`, `Parameter.getRoutine()`

### getPrivileges

    public org.eclipse.emf.common.util.EList getPrivileges()

  Description copied from interface: `SQLObject`
  Returns the value of the 'Privileges' reference list. The list contents are of type `Privilege`. It is bidirectional and its opposite is '`Object`'.

  If the meaning of the 'Privileges' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getPrivileges` in interface `SQLObject`
  Overrides:
    `getPrivileges` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`
  Returns:
    the value of the 'Privileges' reference list.
  See Also:
    `SQLSchemaPackage.getSQLObject_Privileges()`, `Privilege.getObject()`

### getASEProcedureName

    public static java.lang.String getASEProcedureName(SybaseASEProcedure proc)

  Parameters:
    `proc` -
  Returns:
    the procedure name append with group number

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`